## rust-pikchr 0.1.3

=== debian/changelog ===
rust-pikchr (0.1.3-4) unstable; urgency=medium

  * autopkgtest-depend on packages for crates cc clap
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Jan 2024 09:47:04 +0100

rust-pikchr (0.1.3-3) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Jan 2024 09:48:16 +0100

rust-pikchr (0.1.3-2) experimental; urgency=medium

  * have package librust-pikchr-dev arch-all

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Dec 2023 19:35:52 +0100

rust-pikchr (0.1.3-1) experimental; urgency=medium

  * initial Release;
    closes: bug#1059521

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Dec 2023 15:04:25 +0100
