=== debian/control ===
Source: rust-pikchr
Section: rust
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-cargo,
 help2man <!nodoc>,
 librust-cc-1+default-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-libc-0.2+default-dev,
 libstring-shellquote-perl,
Standards-Version: 4.6.2
Homepage: https://github.com/kinnison/pikchr
Vcs-Git: https://salsa.debian.org/sass-team/rust-pikchr.git
Vcs-Browser: https://salsa.debian.org/sass-team/rust-pikchr
Rules-Requires-Root: no

Package: librust-pikchr-dev
Architecture: all
Depends:
 librust-libc-0.2+default-dev,
 ${misc:Depends},
Provides:
 librust-pikchr+default-dev (= ${binary:Version}),
 librust-pikchr-0+default-dev (= ${binary:Version}),
 librust-pikchr-0-dev (= ${binary:Version}),
 librust-pikchr-0.1+default-dev (= ${binary:Version}),
 librust-pikchr-0.1-dev (= ${binary:Version}),
 librust-pikchr-0.1.3-dev (= ${binary:Version}),
Description: PIC-like diagramming language to SVG converter - Rust source code
 Pikchr (pronounced "picture") is a PIC-like markup language
 for diagrams in technical documentation.
 Pikchr is designed to be embedded in fenced code blocks of Markdown
 or similar mechanisms of other documentation markup languages.
 .
 This package contains the source for the Rust pikchr crate,
 packaged for use with cargo and dh-cargo.

Package: pikchr-cli
Architecture: any
Multi-Arch: allowed
Section: graphics
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${cargo:Built-Using},
XB-X-Cargo-Built-Using:
 ${cargo:X-Cargo-Built-Using},
Description: PIC-like diagramming language to SVG converter - CLI tool
 Pikchr (pronounced "picture") is a PIC-like markup language
 for diagrams in technical documentation.
 Pikchr is designed to be embedded in fenced code blocks of Markdown
 or similar mechanisms of other documentation markup languages.
 .
 This package provides the command-line tool pikchr-cli.
