=== debian/tests/control ===
Test-Command:
 /usr/share/cargo/bin/cargo-auto-test pikchr 0.1.3
 --all-targets --all-features
Features: test-name=rust-pikchr:@
Depends:
 dh-cargo,
 librust-cc-1+default-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-pikchr-dev,
Restrictions: allow-stderr, skip-not-installable

Test-Command:
 /usr/share/cargo/bin/cargo-auto-test pikchr 0.1.3
 --all-targets
Features: test-name=librust-pikchr-dev:default
Depends:
 dh-cargo,
 librust-cc-1+default-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-pikchr+default-dev,
Restrictions: allow-stderr, skip-not-installable

Test-Command:
 /usr/share/cargo/bin/cargo-auto-test pikchr 0.1.3
 --all-targets --no-default-features
Features: test-name=librust-pikchr-dev:
Depends:
 dh-cargo,
 librust-cc-1+default-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-pikchr-dev,
Restrictions: allow-stderr, skip-not-installable
