## rust-pikchr 0.1.4

=== debian/changelog ===
rust-pikchr (0.1.4-2) unstable; urgency=medium

  * normalize generating man page for help output;
    build-depend on libstring-shellquote-perl

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Mar 2025 14:26:46 +0100

rust-pikchr (0.1.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.7.2
  * bump project versions in virtual packages and autopkgtests
  * add patch 2002 to accept older releases of crate cc

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Mar 2025 00:37:14 +0100

rust-pikchr (0.1.3-8) unstable; urgency=medium

  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + improve filename mangling
    + use Github API

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Feb 2025 15:57:40 +0100

rust-pikchr (0.1.3-7) unstable; urgency=medium

  * drop autopkgtest restriction skip-not-installable
  * fix autopkgtest-depend on versioned crate package
  * tune build flags for hardening and speed
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Jan 2025 13:11:34 +0100

rust-pikchr (0.1.3-6) unstable; urgency=medium

  * tighten substvars: handle prereleases
  * autopkgtest-depend on dh-rust (not dh-cargo)
  * stop mention dh-cargo in long description
  * set field Static-Built-Using
    (not X-Cargo-Built-Using, and without prefixes)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Oct 2024 09:00:26 +0200

rust-pikchr (0.1.3-5) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 15:14:54 +0200
