=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Build-Depends:
  cmark-gfm <!nodoc>,
  debhelper-compat (= 13),
- dh-cargo,
+ dh-sequence-rust,
  help2man <!nodoc>,
  librust-cc-1+default-dev,
  librust-clap-4+default-dev,
  librust-clap-4+derive-dev,
  librust-libc-0.2+default-dev,
- libstring-shellquote-perl,
-Standards-Version: 4.6.2
+ libstring-shellquote-perl <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/kinnison/pikchr
 Vcs-Git: https://salsa.debian.org/sass-team/rust-pikchr.git
 Vcs-Browser: https://salsa.debian.org/sass-team/rust-pikchr
@@ -29,7 +29,7 @@
  librust-pikchr-0-dev (= ${binary:Version}),
  librust-pikchr-0.1+default-dev (= ${binary:Version}),
  librust-pikchr-0.1-dev (= ${binary:Version}),
- librust-pikchr-0.1.3-dev (= ${binary:Version}),
+ librust-pikchr-0.1.4-dev (= ${binary:Version}),
 Description: PIC-like diagramming language to SVG converter - Rust source code
  Pikchr (pronounced "picture") is a PIC-like markup language
  for diagrams in technical documentation.
@@ -37,7 +37,7 @@
  or similar mechanisms of other documentation markup languages.
  .
  This package contains the source for the Rust pikchr crate,
- packaged for use with cargo and dh-cargo.
+ for use with cargo.
 
 Package: pikchr-cli
 Architecture: any
@@ -48,8 +48,8 @@
  ${shlibs:Depends},
 Built-Using:
  ${cargo:Built-Using},
-XB-X-Cargo-Built-Using:
- ${cargo:X-Cargo-Built-Using},
+Static-Built-Using:
+ ${cargo:Static-Built-Using},
 Description: PIC-like diagramming language to SVG converter - CLI tool
  Pikchr (pronounced "picture") is a PIC-like markup language
  for diagrams in technical documentation.
