=== debian/tests/control ===
Test-Command: /usr/share/dh-rust/bin/cargo-auto-test pikchr 0.1.4
 --all-targets --all-features
Features: test-name=rust-pikchr:@
Depends:
 dh-rust,
 librust-cc-1+default-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-pikchr-0.1-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test pikchr 0.1.4
 --all-targets
Features: test-name=librust-pikchr-dev:default
Depends:
 dh-rust,
 librust-cc-1+default-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-pikchr-0.1+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test pikchr 0.1.4
 --all-targets --no-default-features
Features: test-name=librust-pikchr-dev:
Depends:
 dh-rust,
 librust-cc-1+default-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-pikchr-0.1-dev,
Restrictions: allow-stderr
